## org.eclipse.emf.cdo.server.db.mapping
Interface IListMappingDeltaSupport

    public interface IListMappingDeltaSupport

Interface to complement `IListMapping` in order to provide list delta processing support.

Since:
  2.0

Method Summary
`void` `processDelta(IDBStoreAccessor accessor, CDOID id, int oldVersion, int newVersion, long created, CDOListFeatureDelta delta)` Process a set of CDOFeatureDeltas for a many-valued feature.

Method Detail

### processDelta

    void processDelta(IDBStoreAccessor accessor,
                      CDOID id,
                      int oldVersion,
                      int newVersion,
                      long created,
                      CDOListFeatureDelta delta)

  Process a set of CDOFeatureDeltas for a many-valued feature.

  Parameters:
    `accessor` - the accessor to use
    `id` - the ID of the revision affected
    `oldVersion` - the original version of the revision
    `newVersion` - the new revision of the revision (after the change)
    `created` - the creation date for the new revision
    `delta` - the `CDOListFeatureDelta` which contains the list deltas.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.